/**
 * audio_playlist.c: The audio playlist
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 */

#ifndef AUDIO_PLAYLIST_H_
#define AUDIO_PLAYLIST_H_

#include <queue> // FIFO list
#include <string>
#include <map>

class cAudioPlaylist
{
private:
	static cAudioPlaylist *gpo_config;
	cAudioPlaylist( void );
public:
	~cAudioPlaylist( );
	static cAudioPlaylist& GetInstance( void );
public:
	std::queue<std::map<long,std::map<std::string,std::string> > > trackList;
	std::string GetNextsongurl( void );
	int Clear( void );
};

#endif // AUDIO_PLAYLIST_H_
